#!/bin/sh
#
# hdw - linux /etc/setup.d/openssh.sh
#

setup_block()	{
	useradd -u 1025 -c 'sshd server' sshd || true
	echo "creating ssh host keys ..."
	/usr/bin/ssh-keygen -t dsa -b 1024 \
		-f /etc/ssh_host_dsa_key -N ""
	/usr/bin/ssh-keygen -t rsa -b 1024 \
		-f /etc/ssh_host_key -N ""
	echo "done. "
		}

uninstall_block()	{
	userdel sshd || true
			}
usage()	{
	echo "usage: $0 [setup|uninstall]"
	exit 1
	}

[ -z "$1" ] && usage

while [ "$1" ] ; do
	case "$1" in
		setup)		setup_block ; shift ;;
		uninstall)	uninstall_block ; shift ;;
		*)		usage ; exit 1 ;;
	esac
done
